Bug 167545 - Review Request: wlassistant : Wireless network management tool
Review Request: wlassistant : Wireless network management tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://wlassistant.sourceforge.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-04 21:17 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 13:38:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-04 21:17:20 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/wlassistant.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/wlassistant-0.5.4a-1.src.rpm
Description:
Wireless Assistant (wlassistant) is a small application that allows you to
connect to wireless networks.

MAIN FEATURES:
- Managed Networks Support
- WEP Encryption Support
- Not Broadcasted ("hidden") ESSIDs Support
- Per Network (AP) Configuration Profiles
- Automatic (DHCP, both dhcpcd and dhclient) and manual configuration options.
Comment 1 José Matos 2005-09-09 11:28:19 EDT
Build fails in mock for x86_64. 
Comment 2 José Matos 2005-09-09 11:30:59 EDT
The package should use BR wireless-tools or else the compilation will fail. 
Comment 3 José Matos 2005-09-13 13:38:47 EDT
Assuming that wireless-tools are used as BuildRequires I get:  
  
+ mock build fine on x86_64  
+ rpmlint:  
rpmlint *.rpm  
W: wlassistant no-dependency-on usermode-consoleonly  
W: wlassistant  
symlink-should-be-relative /usr/sbin/wlassistant /usr/bin/consolehelper  
  
The later can be IMHO ignored.  
  
+ license is correct, matches upstream and is included in the package  
+ source match upstreams  
+ the spec file is legible and written in American English  
+ name OK  
+ Requires OK  
+ %lang OK  
+ no libraries 
+ desktop files OK 
+ %doc OK 
+ no need for devel 
 
The package is Approved assuming that you add the missing BR. I guess that I 
will trust you here. ;-) 

Note You need to log in before you can comment on or make changes to this bug.